Package net.snowflake.client.internal.core.minicore

## Enum MinicoreLoadError

- java.lang.Object
- - java.lang.Enum<MinicoreLoadError>
  - - net.snowflake.client.internal.core.minicore.MinicoreLoadError

All Implemented Interfaces:
  `Serializable`, `Comparable<MinicoreLoadError>`

    @SnowflakeJdbcInternalApi
    public enum MinicoreLoadError
    extends Enum<MinicoreLoadError>

### Enum Constant Summary

Enum Constants
`DISABLED`
`FAILED_TO_LOAD`
`STILL_LOADING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getMessage()`
`String` `toString()`
`static MinicoreLoadError` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static MinicoreLoadError[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DISABLED

    public static final MinicoreLoadError DISABLED

#### FAILED_TO_LOAD

    public static final MinicoreLoadError FAILED_TO_LOAD

#### STILL_LOADING

    public static final MinicoreLoadError STILL_LOADING

### Method Detail

#### values

    public static MinicoreLoadError[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MinicoreLoadError c : MinicoreLoadError.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MinicoreLoadError valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getMessage

    public String getMessage()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<MinicoreLoadError>`